igeo

## Class ITensileNet.IParticleCoupler

- java.lang.Object
- - igeo.IDynamicsBase
  - - igeo.ITensileNet.IParticleCoupler

- All Implemented Interfaces:
    IDynamics, ISubobject
  Enclosing class:
    ITensileNet

      public static class ITensileNet.IParticleCoupler
      extends IDynamicsBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IParticleI` | `particle1`
    `IParticleI` | `particle2`

    - ### Fields inherited from class igeo.IDynamicsBase

      `parent, targets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITensileNet.IParticleCoupler(IParticleI p1, IParticleI p2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `preupdate()` executed before update().

    - ### Methods inherited from class igeo.IDynamicsBase

      `initDynamicsBase, initDynamicsBase, initDynamicsBase, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, removeTarget, removeTarget, target, target, targetNum, targets, update, updateTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### particle1

          public IParticleI particle1

    - #### particle2

          public IParticleI particle2

  - ### Constructor Detail

    - #### ITensileNet.IParticleCoupler

          public ITensileNet.IParticleCoupler(IParticleI p1,
                                      IParticleI p2)

  - ### Method Detail

    - #### preupdate

          public void preupdate()

      Description copied from interface: `IDynamics`
      executed before update(). behavior can be changed by IConfig.enablePreupdate and IConfig.loopPreupdate. If IConfig.loopPreupdate is false, preupdate is executed before post interact (updated 2012/08/26).
      Specified by:
        `preupdate` in interface `IDynamics`
      Overrides:
        `preupdate` in class `IDynamicsBase`